


/*tr td.first {
  background: url('https://datatables.net/examples/resources/details_open.png') no-repeat center center;
  cursor: pointer;
  border:0px solid red;
}

tr.shown td:first-child {
  background: url('https://datatables.net/examples/resources/details_close.png') no-repeat center center;
}*/
input[readonly] {
    background-color: #ededed !important;
    color:#adadad;
    /*background-color: #dee2e6 !important;*/
}
tr td.first {


    width: 17px !important;
  
  }
  
  tbody tr td.first:before,
  table.dataTable.dtr-inline.collapsed>tbody>tr th.dtr-control:before, 
  table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before{
    cursor: pointer;
    height: 1em;
    width: 1em;
    margin-top: 0px;
    display: block;
    position: absolute;
    color: white;
    border: 0.15em solid white;
    border-radius: 1em;
    box-shadow: 0 0 0.2em #444;
    box-sizing: content-box;
    text-align: center;
    /*text-indent: 0 !important;*/
    font-family: "Courier New",Courier,monospace;
    line-height: 1em;
    content: "+";
    background-color: #31b131;
    
  }
  
  tbody tr.shown td.first:before {
    content: "-";
    background-color: #d33333;
  }
  
  .require-section {
    white-space: normal;
    word-wrap: break-word;
    word-break: normal;
  }

  #vacancy-table .col-sm-6,
  #applications-table .col-sm-4{
    padding-right: 0;
    padding-left: 0;
  }
  
  
  .span-process-active {
	  margin-left:20px;
  }
  
  
  #vacancy-table tr>th.th_vpid, #vacancy-table tr>td.vpid {
	  display:none;
	}
  

	#applications-table tr th:nth-of-type(2), #applications-table tr td:nth-of-type(2) {
	   display:none;
	 }
	 
	i.rev-d {
		display:inline-block;
	}

	i.rev-m {
		display:none;
	}
	 
	.help-box {
		display:none;
	}
	
	#backLink {
		display:none;
        float: left;
		color:#000;
    }
	


   /* applications table media queries */
  
  @media screen and (min-width: 2398px) {
    #EmailAddress-hide {
      display:none;
    }  


  }
  @media screen and (max-width: 2399px) {


    #applications-table tr th:nth-of-type(5), #applications-table tr td:nth-of-type(5) {
      display:none;
    }

    #applications-table tr th:nth-of-type(6), #applications-table tr td:nth-of-type(6) {
      display:none;
    }

  }

  @media screen and (min-width: 1730px) {
      
    #My_JbcDescription_hide {
      display:none;
    } 

  }


  @media screen and (max-width: 1729px) {
    
      #applications-table tr th:nth-of-type(7), #applications-table tr td:nth-of-type(7) {
        display:none;
      } 

      #my-applications-table tr th:nth-of-type(10), #my-applications-table tr td:nth-of-type(10) {
        display:none;
      } 
      /*#my-applications-table tr th:nth-of-type(4), #my-applications-table tr td:nth-of-type(4) {
        display:none;
      } 
      #my-applications-table tr th:nth-of-type(3), #my-applications-table tr td:nth-of-type(3) {
        display:none;
      } */
  }

  @media screen and (min-width: 1550px) {
    #My_PositionLocation_hide {
      display:none;
    } 

  }


  
  @media screen and (max-width: 1549px) {
    
    #my-applications-table tr th:nth-of-type(8), #my-applications-table tr td:nth-of-type(8) {
      display:none;
    } 

  }


  @media screen and (min-width: 1250px) {
    #My_PositionDepartment_hide {
      display:none;
    } 

  }


  
  @media screen and (max-width: 1249px) {
    
    #my-applications-table tr th:nth-of-type(4), #my-applications-table tr td:nth-of-type(4) {
      display:none;
    } 

  }



  @media screen and (min-width: 890px) {
    #My_PositionNumber_hide {
      display:none;
    } 
    #My_PositionShift_hide {
      display:none;
    } 
    #My_PositionHoursWeek_hide {
      display:none;
    } 
  }


  
  @media screen and (max-width: 889px) {
    

    #my-applications-table tr th:nth-of-type(5), #my-applications-table tr td:nth-of-type(5) {
      display:none;
    } 
    #my-applications-table tr th:nth-of-type(6), #my-applications-table tr td:nth-of-type(6) {
      display:none;
    } 
    #my-applications-table tr th:nth-of-type(7), #my-applications-table tr td:nth-of-type(7) {
      display:none;
    } 


  }



  @media screen and (min-width: 1455px) {
    /*#department-hide {
       display:none;
     }
   
   
     #location-hide {
       display:none;
     }*/
   
     /*#PositionNumber-hide {
      display:none;
     }

     #phone-hide {
       display:none;
     }  
 
     #appstatus-hide {
      display:none;
     } */ 

     /*#PositionTitle-hide {
       display:none;
     }*/      
 
 
   }
 
 
   @media screen and (max-width: 1454px) {
   
     #applications-table tr th:nth-of-type(9), #applications-table tr td:nth-of-type(9) {
       display:none;
     }
   
     #applications-table tr th:nth-of-type(11), #applications-table tr td:nth-of-type(11) {
       display:none;
     }

 
   }


  @media screen and (min-width: 800px) {
    /*#PositionLocation-hide {
      display:none;
    }   

    #PositionNumber-hide {
      display:none;
    }*/ 
    
  }

  @media screen and (max-width: 767px) {
    #applications-table tr th:nth-of-type(8), #applications-table tr td:nth-of-type(8) {
      display:none;
    }  

    #applications-table tr th:nth-of-type(10), #applications-table tr td:nth-of-type(10) {
      display:none;
    }
	 
    #my-applications-table tr th:nth-of-type(8), #my-applications-table tr td:nth-of-type(8) {
      display:none;
    }  

    #my-applications-table tr th:nth-of-type(10), #my-applications-table tr td:nth-of-type(10) {
      display:none;
    }
	
	#my-applications-table tr th:nth-of-type(2), #my-applications-table tr td:nth-of-type(2) {
	   display:none;
	 }
	 	 
	 
	 .btn-rev {
		width:auto !important;
		min-width:initial !important;
	}
	
	.btn-rev span{
		display:none;
	}
	
	
	#generateExcelForm {
		float:none !important;	
	}


	.export-container #print-btn, .export-container-m #print-btn {
		float:none !important;
		margin-top: 15px;
	}

	.applicant-info h4,
	.req-transfer-info h4 {
		
		margin-top:15px;
		margin-bottom: 0;
		
	}
	
	.thr-user-info h3.applicant-name {

		margin-bottom:10px;
	
	}
	
	
	.dataTables_info, .paginate_button a {

		font-size: 12px !important;
		
	}
	
	div.dataTables_wrapper div.dataTables_paginate ul.pagination {
	
		margin-bottom: 20px !important;
	
	}
	
	
	.export-container {
		display:none !important;;
	}

	.export-container-m {
		display:block !important;
		padding: 10px 20px 20px !important;
	}
	
	.span-process-active {
		  margin-left:5px;
	  }

	
		 
	i.rev-d {
		display:none !important;
	}

	i.rev-m {
		display:inline-block !important;
	}

  }


@media screen and (max-width: 576px) {
		
	.dt-card {
		padding:0 !important;

	}

	#applications-table th, #my-applications-table th{
		font-size:11px;
	}

	 #applications-table td, #my-applications-table td {
		font-size:14px;
		line-height: 1.7;
	 }
 	
	#applications-table_length {
		padding: 0px 0 10px;
	}
	
	#my-applications-table_length {
		
		padding: 10px 0;
		
	}
	
	#applications-table_filter, #my-applications-table_filter {
		padding: 10px 0 0;
	}
		 
	.export-container button, .export-container-m button {
		width: 100%;
	}
	
	
	#vacancy-table th{
		font-size:11px;
	}

	#vacancy-table td {
		font-size:11px;
		white-space: normal;
		overflow-wrap: anywhere;
	 }
	
	
	#vacancy-table td div, table.inner-tbl th, table.inner-tbl td {
	 
	    font-size: 14px !important;
	 
	}
 	
	#vacancy-table_length {
		padding: 0px 0 10px;
	}
	
	#vacancy-table_filter {
		padding: 10px 0 0;
	}
		 
	
	#applications-table_filter label, #my-applications-table_filter  label {
		width:85%;
	}

	#applications-table_filter input, #my-applications-table_filter  input {
		width:52vw;
	}

	.inner-tbl-container {
		width:84vw;
	}

}



  /* vacancies table media queries */

  @media screen and (min-width: 1580px) {
    /*#department-hide {
      display:none;
    }*/

  
  }
  
  @media screen and (max-width: 1579px) {
  
  #vacancy-table tr th:nth-of-type(4), #vacancy-table tr td:nth-of-type(4) {
      display:none;
    }

  }
  
  @media screen and (min-width: 1400px) {
    #published-hide {
      display:none;
    }
    #salary-hide {
      display:none;
    }
	
	
  }

  @media screen and (max-width: 1399px) {

    #vacancy-table tr th:nth-of-type(5), #vacancy-table tr td:nth-of-type(5) {
      display:none;
    }
    #vacancy-table tr th:nth-of-type(7), #vacancy-table tr td:nth-of-type(7) {
      display:none;
    }

  }

  
  @media screen and (min-width: 768px) {
    #location-hide {
      display:none;
    }
    #status-hide {
      display: none;
    }
  }
  
  @media screen and (max-width: 767px) {
  

  .vacancy-posting-tbl tr th:nth-of-type(6), .vacancy-posting-tbl tr td:nth-of-type(6) {
      display:none;
    }
  
    /*#vacancy-table tr th:nth-of-type(8), #vacancy-table tr td:nth-of-type(8) {
      display:none;
    }*/
    .inner-tbl-container {
      display:inline-block;
     }
  
     table.inner-tbl {
      max-width: 90%;
      margin-left: auto;
      margin-right: auto;
    }

    table.inner-tbl thead>tr>th {
      padding-right: 0;
      padding-left: 0;
    }
	
	.require-section p {		
		width:95%;		
	}
	
	#backLink {
		display:inline-block;
	}
	
  }


  @media screen and (max-width: 520px) {

    /*table {
      max-width: 90%;
      margin-left: auto;
      margin-right: auto;
    }

    table.dataTable thead>tr>th.sorting, table.dataTable thead>tr>th.sorting_asc, table.dataTable thead>tr>th.sorting_desc {
      padding-right: 0;
      padding-left: 0;
  }*/


  }


  /* .parsley-required{
 background:red;
  font-weight: 400;
  font-size: 11px;
  display: block;
  padding:20px 0px;
}  */
input.parsley-success,
select.parsley-success,
textarea.parsley-success {
color: #468847;
background-color: #DFF0D8;
border: 1px solid #D6E9C6;
}

input.parsley-error,
select.parsley-error,
textarea.parsley-error,
.parsey-error, .parsley-required {
color: #B94A48;
background-color: #F2DEDE;
border: 1px solid #EED3D7;
}
.parsley-errors-list {
  background:#f8eded;
  color:#a44b4b;
  padding:5px;
}

.parsley-errors-list li{
  padding:5px;
}
.parsley-errors-list {
    margin: 2px 0 3px;
    padding: 0;
    list-style-type: none;
    font-size: 0.9em;
    line-height: 0.9em;
    opacity: 0;
    transition: all .3s ease-in;
    -o-transition: all .3s ease-in;
    -moz-transition: all .3s ease-in;
    -webkit-transition: all .3s ease-in;
}

.parsley-errors-list.filled {
opacity: 1;
}

#vacancy-table div, #applications-table div {
  white-space: pre-wrap;
}

p:empty{
  display:none;
}


.row-inactive td:before {
  background-color: #d2d2d2 !important;
}


.row-inactive td {
  color:#d2d2d2;
}


.row-inactive td  span.bg-success, .row-inactive td  span.bg-secondary, td span.bg-incative  {
  background-color: #d2d2d2 !important;
}

.btn-primary {
  min-width: 100px;
}

.resume-link {
  /*color: #aab8c5;*/
}

.all-caps{ 
  text-transform:uppercase !important;
}

.export-container {
	display:block;
    text-align: right;
    /*padding: 0 0 20px;*/
	width:100%;
	z-index: 1000;
    position: relative;
}

.export-container-m {
    text-align: right;
	width:100%;
	z-index: 1000;
    position: relative;
	display:none;
	
}

.btn-rev {
	width:80%;
}


#generateExcelForm {
	float:right;	
}


.export-container #print-btn, .export-container-m #print-btn {
	float:right;
}


	.li-search, .toggle-search {
			display:none !important;
	}
	
	#paf-hrs-shft-table {
		width: 100% !important;
		margin-left: auto;
		margin-right: auto;
	}


  .req-transfer-info span{
    font-style: italic;
  }

  .supervisor span{
    font-style: italic;
    font-size:14px;
  }

  .general span{
    font-style: italic !important;
  
  }




  /*styles on vacancy-postings.php */


  .logo-light .logo-lg img{
    height:50px;
}

@media print {
  * {
    display: none;
  }
  #vacancy-table {
    display: block;
	border:1px solid red;
  }
}



/*styles on applications */
.logo-light .logo-lg img{
  height:50px;
}



/*styles on status */

.logo-light .logo-lg img{
  height:50px;
}
.thr-status i{
color:#bcbcbc;
}
.thr-status .card .row{
  padding:10px;
}
.thr-user-info {
  padding:10px;
  border-radius:3px ;
  background:#f9af2b;
  color:#FFF;
}
.thr-user-info i{
  color:#FFF;
}

.bg-requiremnts{
  background: #FFFFFF;
  color: #333;
}

.bg-requiremnts p strong{
  font-size:16px;
  color:#47548d;
}

.bg-applicant-info{
  background: #cfdeee;
  color: #333;
}


.bg-applicant-info label {
  color:#47548d;
}

.bg-applicant-info input{
  color:#47548d;
}

.bg-applicant-info .form-group  input:read-only, .bg-applicant-info .form-group  select:read-only{
  background-color:#dde6f0!important;
  color:#47548d;
}

.bg-applicant-info-admin{
  background: #eee5cf;
  color: #333;
}

.bg-applicant-info-admin i{

  color: #747474;
}



.bg-applicant-resume {
  background: #f9af2b;
  color:#333;
}

.bg-applicant-resume a{

  color:#FFF;
}
.bg-applicant-resume i{

  color:#FFF;
}
.bg-applicant-resume .resume-link {

}
.bg-applicant-info-admin .applicant-name i{

  color: #FFF;
}

.bg-request-info-admin{
  background: #cfeee3;
  color: #333;
}


.bg-request-info-admin hr{

  border-color:#0a6e31;
}



.pagination-rounded .page-link {
    border-radius: 30px !important;
    margin: 0 3px !important;
    border: none;
}


.ui-autocomplete {
  max-height: 200px; 
  overflow-y: auto;
  background-color: #ffffff; 
  border: 1px solid #ccc; 
  z-index: 1000;
  list-style-type: none; 
}

.ui-autocomplete li {
  list-style-type: none; 
  border: none; 
  background: none; 
  margin: 0; 
  padding: 4px 8px; 
}

.ui-menu-item {
  padding: 10px; 
  cursor: pointer; 
}

.ui-menu-item:hover {
  background-color: #f0f0f0; 
}
.ui-autocomplete {
  position: absolute !important; 
  display: block !important; 
  z-index: 1000 !important; 
}


.ui-menu-item {
  padding: 8px 12px; 
  cursor: pointer; 
}


.ui-menu-item:hover {
  background-color: #f0f0f0;
}

.active-card {
  background-color: #f0f8ff; 
}

/*
input.parsley-error,
select.parsley-error,
textarea.parsley-error,
.parsey-error, .parsley-required {
color: #B94A48;
background-color: #F2DEDE;
border: 1px solid #EED3D7;
}*/

.datepicker-dropdown {
  z-index: 10000!important;
}